# Return specified domain access log

This function returns entries from a domain's error log.

Endpoint: GET /Stats/get_site_errors
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The domain for which to return error log entries.
    Example: "example.com"

  - `log` (string)
    The Apache log file to query.
This parameter defaults to error.

* error - The /var/log/apache2/error_log file.
* suexec - The /var/log/apache2/suexec_log file.
    Enum: "error", "suexec"

  - `maxlines` (integer)
    The number of lines to retrieve from the error log.
    Example: 250

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_site_errors"

  - `module` (string)
    The name of the module called.
    Example: "Stats"

  - `result` (object)

  - `result.data` (array)

  - `result.data.date` (integer)
    The date that the system recorded the error.
    Example: 1234576704

  - `result.data.entry` (string)
    The error log entry.
    Example: "[Fri Feb 13 19:58:24.420593 2009] [core:error] [pid 29228:tid 47876185720577] (13)Permission denied: [client 10.0.0.2:62908] AH00132: file permissions deny server access: /home/user/public_html/index.html"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings
describe non-critical failures or other problematic conditions
noted while running a API.


